NTB(4)

NAME
ntb - Non-Transparent Bridge subsystem

SYNOPSIS
To compile it into your kernel, place the following lines in your kernel configuration file:

device ntb

Or, to load it as a module at boot, place the following line in loader.conf(5):

    ntb_load="YES"

The following tunables are settable from the loader(8):

hw.ntb.debug_level
Driver debug level. The default value is 0, higher means more verbose.

hint.ntb_hw.X.config
Configures a set of NTB functions, separated by commas, and their resource allocation. Each function can be configured as: "[<name>][:<mw>[:<spad>[:<db>]]]", where: name is a name of the driver to attach (empty means any), mw is a number of memory windows to allocate (empty means all available), spad is a number of scratchpad registers to allocate (empty means all available), db is a number of doorbells to allocate (empty means all available). The default configuration is empty string, which means single function with all available resources, allowing any driver to attach.

DESCRIPTION
Non-Transparent Bridges connect two computer systems with PCIe link(s), providing each of them limited access to others memory space, scratchpad registers and interrupts. The ntb subsystem uses those resources provided in generic way by hardware drivers and splits them between several functions, according to specified configuration.

SEE ALSO
if_ntb(4), ntb_hw_amd(4), ntb_hw_intel(4), ntb_hw_plx(4), ntb_transport(4)

AUTHORS
-nosplit The ntb subsystem was developed by Intel and originally written by Carl Delsey <carl@FreeBSD.org>. Later improvements were done by Conrad E. Meyer <cem@FreeBSD.org> and Alexander Motin <mav@FreeBSD.org>.